function res = NumerIntegral(HW,HTW,cel,point,LorH)

%  NumerIntegral(HW,HTW,cel,point,LorH)
%    Conduct numerical approximation of the integral 
%    of HW and HTW.
%

alpha = 1/2;
doubleu = pi/2;

eval(['HW = subs(HW, cel, mat2cell(point));'], ...
     ['HW;']);
eval(['HTW = subs(HTW, cel, mat2cell(point));'], ...
     ['HTW;']);

if LorH == 0
   
   % LOWPASS VECTOR FILTER
   res = 0;
   for index = 1:4
     save temp.mat HW HTW;
     if mod(index,2) == 1
       eval(['res = res + alpha*quad8(''DiffNorm' ... 
                    num2str(index) ''', 0, doubleu);']);
     else
       eval(['res = res + (1-alpha)*quad8(''DiffNorm' ...
                    num2str(index) ''', doubleu, pi);']);
     end
   end
else
   % HIGHPASS VECTOR FILTER
   res = 0;
   for index = 1:4
     save temp.mat HW HTW;
     if mod(index,2) == 1
       eval(['res = res + alpha*quad8(''DiffNorm' ...
                    num2str(index) ''', doubleu, pi);']);
     else
       eval(['res = res + (1-alpha)*quad8(''DiffNorm' ...
                    num2str(index) ''', 0, doubleu);']);
     end
   end
end

